/* ==========================================================================
  MENU
  ===========================================================================*/
@import "header";

$menu-padding-bottom: $header-top-vertical-padding;

$menu-color-link: $color-white;
$menu-color-link-hover: $color-primary;

$menu-item-gap-width: 35px;

$menu-item-icon-gap: 10px;

$submenu-width: 220px;
$submenu-gap-top: 5px;
$submenu-gap-left: 5px;
$submenu-border-radius: 5px;

  $submenu-item-border-width: 1px;
  $submenu-item-border-color: #33424d;

  $submenu-link-vertical-padding: 15px;
  $submenu-link-horizontal-padding: 20px;
  $submenu-link-background-color: $color-secondary;

.menu {

  li {
    position: relative;
  }

  a {
    display: inline-flex;
    align-items: center;
    width: 100%;
    color: $menu-color-link;
    
    &:hover {
      color: $menu-color-link-hover;
      text-decoration: none;
    }
  }
}

.menu__icon {
  margin-left: $menu-item-icon-gap;
  transition: .3s ease;

  .icon {
    width: 9px;
    height: 7px;
  }
}

// LIST
.menu__list {
  display: flex;

  > li {
    padding-bottom: $menu-padding-bottom;

    &:hover {

      > a {

        .menu__icon {
          transform: rotate(180deg);
          transition: .3s ease;
        }
      }

      > .menu__sublist {
        // animate
        will-change: opacity;
        opacity: 1;
        pointer-events: auto;
      }
    }

    + li {
      margin-left: $menu-item-gap-width;
    }
  }
}

// SUB LIST
.menu__sublist {
  position: absolute;
  z-index: 2;
  top: 100%;
  left: 50%;
  padding-top: $submenu-gap-top;
  width: $submenu-width;
  border-radius: $submenu-border-radius;
  // animate
  transform: translateX(-50%);
  will-change: opacity;
  opacity: 0;
  transition: transform .375s, opacity .25s;
  pointer-events: none;

  li {

    &:first-child {

      > a {
        border-radius: $submenu-border-radius $submenu-border-radius 0px 0px;
      }
    }

    &:last-child {

      > a {
        border-radius: 0px 0px $submenu-border-radius $submenu-border-radius;
      }
    }

    + li {
      border-top: $submenu-item-border-width solid $submenu-item-border-color;
    }

    a {
      padding-top: $submenu-link-vertical-padding;
      padding-bottom: $submenu-link-vertical-padding;
      padding-left: $submenu-link-horizontal-padding;
      padding-right: $submenu-link-horizontal-padding;
      background-color: $submenu-link-background-color;
    }

    &:hover {

      a {

        .menu__icon {
          transform: rotate(90deg);
          transition: .3s ease;
        }
      }

      .menu__sublist {
        // animate
        transform: translateX(0px) translateY(0);
        will-change: opacity, transform;
        opacity: 1;
        pointer-events: auto;
      }
    }
  }


  .menu__icon {
    margin-left: auto;
    transform: rotate(-90deg);
  }
  
  //submenu in submenu
  .menu__sublist {
    top: 0;
    left: 100%;
    padding-top: 0;
    padding-left: 5px;
    transform: translateX(-5px) translateY(0);
  }
}

body.locked {
  @include mq('desktop', 'max') {
    overflow: hidden;
  }
}

/* end menu */
